Eclipse安装Spring-Tool-Suite(STS)插件

1.查看Eclipse版本,help->about Eclipse

2.安装sts插件需依赖GEF插件,安装GEF插件Eclipse->Help->install New SoftWare->add,输入网址:http://download.eclipse.org/tools/gef/updates/releases/

Eclipse安装Spring-Tool-Suite(STS)插件_第1张图片

3.选中所有安装选项

Eclipse安装Spring-Tool-Suite(STS)插件_第2张图片

4.安装后需重启Eclipse,点击Yes即可

5.Gef安装成功后,下载sts插件,通过网址https://spring.io/tools3/sts/legacy查看Eclipse版本兼容的STS

Eclipse安装Spring-Tool-Suite(STS)插件_第3张图片

6.进入网址https://spring.io/tools3/sts/all,根据最新版本包网址修改我们所需要的包下载网址:http://download.springsource.com/release/TOOLS/update/3.7.2.RELEASE/e4.5/springsource-tool-suite-3.7.2.RELEASE-e4.5.1-updatesite.zip

Eclipse安装Spring-Tool-Suite(STS)插件_第4张图片

7.在浏览器输入替换过后的网址,即将插件下载成功

8.在eclipse中安装下载后的插件,help->New SoftWare->Add->Archive

Eclipse安装Spring-Tool-Suite(STS)插件_第5张图片

 

9.全选,点击next

Eclipse安装Spring-Tool-Suite(STS)插件_第6张图片

 

 

10.接受协议,点击finish

Eclipse安装Spring-Tool-Suite(STS)插件_第7张图片

11.安装完成后提示重启Eclipse,点击Yes,重启后如图:

Eclipse安装Spring-Tool-Suite(STS)插件_第8张图片

注:1.联网选项建议勾选  2.sts插件所有选项都选择安装 否则很大可能会在安装过程中出现The installation cannot be completed as requested问题 3.如果安装重启后在perenference中看不到Spring相关选项,并且sts插件版本未与Eclipse冲突时,如果不是因为eclipse还未检测到更新的插件问题(此方法可以在Eclipse中configration/config.ini文件中设置osgi.checkconfiguration=true),则一定是中间有未安装成功的包,将已安装的插件卸载,按此教程重新安装插件,并关注报错问题,寻找解决方案

 

 

 

你可能感兴趣的